%define name showimg
%define version 0.9.3
%define release 1mdk

Summary: Picture viewer for KDE
Summary(fr): Un visualiseur d'image pour KDE
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source10: %name-16.png
Source11: %name-32.png
Source12: %name-48.png
License: GPL
Group: Graphics
Url: http://www.jalix.org/projects/showimg/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: qt3-devel
BuildRequires: kdebase-devel
BuildRequires: libjpeg-devel

%description
Showing is a picture viewer for KDE. It supports some features
missing in existing picture viewer:
- full screen,
- mouse wheel support
- slideshow,
- search for duplicates,
- some format conversion.

%description -l fr
Showing est un visualeur d'image pour KDE. Il comble
certains manques des visualiseurs dj disponible:
- plein cran,
- support de la roulette des souris,
- slideshow,
- recherche de doublons,
- conversion en diffrents formats.

%prep
%setup -q

%build
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

%makeinstall_std

cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png

cat > %buildroot%_menudir/%name <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 title="Showimg" \
 longtitle="A picture viewer for KDE" \
 needs="x11" \
 section="Multimedia/Graphics"
EOF

%find_lang %name
rm -f $RPM_BUILD_ROOT/%{_datadir}/mimelnk/image/x-psd.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS CHANGES ChangeLog INSTALL NEWS NOTES README
%_bindir/%name
%_mandir/man1/*
%_datadir/applnk/Graphics/%name.desktop
%_datadir/apps/*
%_datadir/mimelnk/image/x-sia.desktop
%_datadir/doc/HTML/*/%name
%_iconsdir/hicolor/*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Wed Jul 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.3-1mdk
- 0.9.3

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1mdk
- 0.9.2
 
* Fri Nov 28 2003 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk 
- 0.8.1

* Wed Oct 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.0-1mdk
- 1st mdk package
